Summary:	An IDE tailored to the needs of Qt developers
Summary(pl.UTF-8):	IDE dostosowane do potrzeb developerow Qt
Name:		qt-creator
Version:	2.7.2
Release:	1
Epoch:		1
License:	LGPL v2.1
Group:		X11/Development/Tools
Source0:	http://download.qt-project.org/official_releases/qtcreator/2.7/%{version}/%{name}-%{version}-src.tar.gz
# Source0-md5:	7f1c10740784d3edf2347c27be21fd1a
Source1:	%{name}.desktop
Patch0:		%{name}-pluginpath64.patch
URL:		http://qt.digia.com/Product/Developer-Tools
BuildRequires:	QtDBus-devel
BuildRequires:	QtDeclarative-devel
BuildRequires:	QtDesigner-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtHelp-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtScript-devel
BuildRequires:	QtSql-sqlite3
BuildRequires:	QtSvg-devel
BuildRequires:	QtWebKit-devel
BuildRequires:	QtXml-devel
BuildRequires:	qt4-build >= 4.8.0
BuildRequires:	qt4-linguist
BuildRequires:	qt4-qmake >= 4.8.0
BuildRequires:	rpmbuild(macros) >= 1.602
Requires(post,postun):	desktop-file-utils
%requires_eq	QtCore
Requires:	QtSql-sqlite3
Requires:	hicolor-icon-theme
# for xdg-open
Suggests:	xdg-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qt Creator is a cross-platform integrated development environment (IDE)
tailored to the needs of Qt developers.

%description -l pl.UTF-8
Qt Creator to wieloplatformowe IDE dostosowane do potrzeb developerow Qt.

%prep
%setup -q -n %{name}-%{version}-src

%if "%{_lib}" == "lib64"
%patch0 -p1
%endif

# fix unresolved symbols in libQtcSsh
echo "LIBS += -ldl" > src/libs/ssh/ssh_dependencies.pri

%build
export QTDIR=%{_libdir}/qt4
# the qmakespec in qt4 is somewhat broken, need to look at this
#export QMAKESPEC=%{_datadir}/qt4/mkspecs/linux-g++/

qmake-qt4 qtcreator.pro \
	QMAKE_CXX="%{__cxx}" \
	QMAKE_LINK="%{__cxx}" \
	QMAKE_CXXFLAGS_RELEASE="%{rpmcflags}" \
	QMAKE_RPATH=

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

export QTDIR=%{_libdir}/qt4
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT%{_prefix}

%if "%{_lib}" == "lib64"
mv -f $RPM_BUILD_ROOT{%{_prefix}/lib,%{_libdir}}
%endif

install -d $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d
echo "%{_libdir}/qtcreator" > $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/qtcreator.conf

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

# not supported by hicolor-icon-theme
rm -rf $RPM_BUILD_ROOT%{_iconsdir}/hicolor/512x512

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_desktop_database
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%update_desktop_database_postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qtcreator
%attr(755,root,root) %{_bindir}/qtcreator_process_stub
%attr(755,root,root) %{_bindir}/qtpromaker
%attr(755,root,root) %{_bindir}/sdktool
%{_sysconfdir}/ld.so.conf.d/qtcreator.conf
%dir %{_libdir}/qtcreator
%attr(755,root,root) %{_libdir}/qtcreator/lib*.so.*.*
%attr(755,root,root) %{_libdir}/qtcreator/lib*.so
%attr(755,root,root) %ghost %{_libdir}/qtcreator/lib*.so.1
%dir %{_libdir}/qtcreator/plugins
%dir %{_libdir}/qtcreator/plugins/BlackBerry
%dir %{_libdir}/qtcreator/plugins/QtProject
%{_libdir}/qtcreator/plugins/BlackBerry/*.pluginspec
%{_libdir}/qtcreator/plugins/QtProject/*.pluginspec
%attr(755,root,root) %{_libdir}/qtcreator/plugins/BlackBerry/*.so
%attr(755,root,root) %{_libdir}/qtcreator/plugins/QtProject/*.so
%{_libdir}/qtcreator/qtcomponents
%{_datadir}/qtcreator
%{_desktopdir}/qt-creator.desktop
%{_iconsdir}/hicolor/*/*/*.png
%changelog
* Thu May 22 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qt-creator.git;a=log;h=master

* Thu May 22 2014 Jan Rękorajski <baggins@pld-linux.org> eedfdc8
- up to 2.7.2
- new source URL

* Mon Apr 15 2013 Karol Krenski <charles@pld-linux.org> 36cf551
- updated to 2.7.0

* Fri Feb 01 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 221dc81
- Update icon filename

* Sat Jan 26 2013 Marcin Banasiak <marcin.banasiak@gmail.com> f0253cb
- Update to 2.6.1

* Fri Dec 07 2012 Jan Rękorajski <baggins@pld-linux.org> fca306b
- release 2 (by relup.sh)

* Thu Nov 08 2012 Karol Krenski <charles@pld-linux.org> e311232
- updated to 2.6.0
- updated Source0 and URL

* Thu Sep 20 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0426944
- release 2 (by relup.sh)

* Mon Aug 13 2012 Karol Krenski <charles@pld-linux.org> b54e6fc
- up to 2.5.2

* Thu Jun 21 2012 Jan Rękorajski <baggins@pld-linux.org> 735c311
- release 2 (by relup.sh)

* Fri May 11 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 4a3ca2f
- updated to 2.5.0

* Thu Apr 05 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 7991f24
- release 2

* Sun Feb 05 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 3ead998
- updated to 2.4.1

* Fri Jan 20 2012 Bartłomiej Zimoń <cactus@pld-linux.org> 3d2b5d0
- rel 2

* Mon Dec 19 2011 Karol Krenski <charles@pld-linux.org> 1e39339
- updated to 2.4.0

* Mon Oct 10 2011 Karol Krenski <charles@pld-linux.org> fcc6922
- up to 2.3.1

* Tue Sep 13 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 5549a3e
- removed 512x512 icons (not supported by hicolor-icon-theme)
- release 2

* Sat Sep 10 2011 Karol Krenski <charles@pld-linux.org> e2bdaf8
- updated to 2.3.0

* Sun Jul 17 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 9ddce92
- updated to 2.2.1

* Sun May 29 2011 Karol Krenski <charles@pld-linux.org> 0bf5b59
- updated URL

* Sun May 29 2011 Marcin Banasiak <marcin.banasiak@gmail.com> d715c69
- updated to 2.2.0

